Page MenuHomePhabricator

Expand IPv6 CheckUser range to /48
Closed, ResolvedPublic

Description

Because


Version: unspecified
Severity: normal

Details

Reference
bz33734

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:01 AM
bzimport added projects: CheckUser, IPv6.
bzimport set Reference to bz33734.
bzimport added a subscriber: Unknown Object (MLST).
Jasper created this task.Jan 14 2012, 11:24 PM

Oops, didn't finish my initial comment.

IPv6 users typically can get more than a /64, so CheckUser needs to be able to check more than that.

saper added a comment.Mar 11 2012, 9:40 PM

What range would make sense do you think? (Btw. I have fixed the message, it used to say /96-/128).

/48, since that's usually what's usually considered the equivalent of a /16 in IPv4.

Change 203679 had a related patch set uploaded (by saper):
Allow CheckUser for IPv6 ranges up to /32

https://gerrit.wikimedia.org/r/203679

MarcoAurelio moved this task from Backlog to Closed on the CheckUser board.May 9 2016, 8:58 AM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMay 9 2016, 8:58 AM